petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPPREONLY

This implements a stub method that applies ONLY the preconditioner. This may be used in inner iterations, where it is desired to allow multiple iterations as well as the "0-iteration" case. It is commonly used with the direct solver preconditioners like PCLU and PCCHOLESKY

### Options Database Keys

-ksp_type preonly - Many br Many br

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP

Level:beginner
Location:src/ksp/ksp/impls/preonly/preonly.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex30.c.html
src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex52f.F.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html